﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Steema.TeeChart;
using Steema.TeeChart.Styles;

namespace TestApp2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            InitializeChart();
        }

        public string TextBoxText
        {
            get { return textBox1.Text; }
            set { textBox1.Text = value; }
        }

        protected override void OnClosing(CancelEventArgs e)
        {
            Console.WriteLine("OnClosing with DialogResult = " + DialogResult.ToString());
            if (DialogResult == DialogResult.None)
                return;
/*
            if (DialogResult == DialogResult.Cancel)
                return;

            DialogResult = DialogResult.Cancel;
            return;
*/
            Console.WriteLine("Hide the dialog instead of closing it");
            DialogResult = DialogResult.None;
            Hide();
        }

        protected override void OnClosed(EventArgs e)
        {
            Console.WriteLine("OnClosed with DialogResult = " + DialogResult.ToString());
            base.OnClosed(e);
        }
        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void InitializeChart()
        {
            tChart1.Aspect.View3D = false;
            //tChart1.Dock = DockStyle.Fill;
            //this.Controls.Add(tChart1);
            //tChart1.Panel.MarginLeft = 20;

            //GetFilter of DataSet
            for (int i = 0; i < 7; i++)
            {
                new Line(tChart1.Chart);
                tChart1[i].DataSource = GetData(i);
                tChart1[i].XValues.DataMember = "X";
                tChart1[i].YValues.DataMember = "Y";
                tChart1[i].RefreshSeries();
                CreateAxis(tChart1[i]);
            }

            //tChart1.DoubleClick += new EventHandler(tChart1_DoubleClick);
        }
        private DataSet GetData(int i)
        {
            Random rndY = new Random();
            Random rndX = new Random();
            DataSet TeeDataSet = new DataSet();
            DataTable TeeDataTable = new DataTable("DataTable" + i.ToString());
            DataColumn xval = new DataColumn("X", typeof(double));
            DataColumn yval = new DataColumn("Y", typeof(double));

            TeeDataTable.Columns.Add(xval);
            TeeDataTable.Columns.Add(yval);
            for (int j = 0; i < 10; i++)
            {
                DataRow newRow = TeeDataTable.NewRow();
                newRow[xval] = i + j;
                newRow[yval] = rndY.Next(100);
                TeeDataTable.Rows.Add(newRow);
            }
            TeeDataSet.Tables.Add(TeeDataTable);
            return TeeDataSet;

        }
        private void CreateAxis(Series s)
        {

            Axis axis = new Axis(false, false, tChart1.Chart);

            axis.Grid.Visible = true;
            axis.AxisPen.Color = s.Color;
            axis.Labels.Font.Color = axis.AxisPen.Color;
            axis.Ticks.Color = axis.AxisPen.Color;
            axis.MinorTicks.Color = axis.AxisPen.Color;
            axis.Labels.Angle = 90;
            axis.StartPosition = 0;
            axis.EndPosition = 100;//we cannot set this to 200 as it is a % value.
            tChart1.Axes.Custom.Add(axis);

            axis.Automatic = false;

            axis.Minimum = s.MinYValue();
            axis.Maximum = s.MaxYValue(); ;
            s.Visible = true;
            axis.Visible = true;

            axis.Increment = 2;
            s.CustomVertAxis = axis;

            if (tChart1.Series.Count != 1)
            {
                axis.RelativePosition = (-4) * (tChart1.Series.Count - 1);
            }
            axis.Visible = true;
        }
    }
}
